| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Gr3d.Graph3dManipulatorExtended Class Reference

Extended control for manipulation of 3D VTK graphics. Contains the standard control plus additional buttons for access to some VTK functions. More...

Inheritance diagram for IG.Gr3d.Graph3dManipulatorExtended:
[legend]
Collaboration diagram for IG.Gr3d.Graph3dManipulatorExtended:
[legend]

## Public Member Functions
| Graph3dManipulatorExtended ()
| Graph3dManipulatorExtended (IVtkFormContainer vtkContainer)
| Costructs 3D graphics manipulator with the specified vtk container whose graph control is to be manipulated. More...

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
IVtkFormContainer | VtkContainer`[get, set]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled. More...
VtkControlBase | VtkControl`[get, set]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled. More...
I3dGraphicsControl | GraphControl`[get]`
| Graph control that is manipulated by the current control. More...

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
IVtkFormContainer | _vtkContainer
VtkControlBase | _vtkControl
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
Graph3dManipulator | graph3dManipulator1
Graph3dManipulatorBasic | graph3dManipulatorBasic1

## Detailed Description

Extended control for manipulation of 3D VTK graphics. Contains the standard control plus additional buttons for access to some VTK functions.

## Constructor & Destructor Documentation

IG.Gr3d.Graph3dManipulatorExtended.Graph3dManipulatorExtended | ( |  | ) |
| inline

IG.Gr3d.Graph3dManipulatorExtended.Graph3dManipulatorExtended | ( | IVtkFormContainer | vtkContainer | ) |
| inline

Costructs 3D graphics manipulator with the specified vtk container whose graph control is to be manipulated.

Parameters

  vtkContainer | Container of the VTK control (must be of type implementing the IVtkFormContainer interface).

## Member Function Documentation

override void IG.Gr3d.Graph3dManipulatorExtended.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Gr3d.Graph3dManipulatorExtended.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

IVtkFormContainer IG.Gr3d.Graph3dManipulatorExtended._vtkContainer
| private

VtkControlBase IG.Gr3d.Graph3dManipulatorExtended._vtkControl
| private

System.ComponentModel.IContainer IG.Gr3d.Graph3dManipulatorExtended.components = null
| private

Required designer variable.

Graph3dManipulator IG.Gr3d.Graph3dManipulatorExtended.graph3dManipulator1
| private

Graph3dManipulatorBasic IG.Gr3d.Graph3dManipulatorExtended.graph3dManipulatorBasic1
| private

## Property Documentation

IVtkFormContainer IG.Gr3d.Graph3dManipulatorExtended.VtkContainer
| get set

Gets the control of type VtkControlBase through which VTK functionality is controlled.

VtkControlBase IG.Gr3d.Graph3dManipulatorExtended.VtkControl
| get set

Gets the control of type VtkControlBase through which VTK functionality is controlled.

I3dGraphicsControl IG.Gr3d.Graph3dManipulatorExtended.GraphControl
| get

Graph control that is manipulated by the current control.

The documentation for this class was generated from the following files:

- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/Graph3dManipulatorExtended.cs
- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/Graph3dManipulatorExtended.Designer.cs